> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seam.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Set the Fallback Climate Preset

> Sets a specified [climate preset](https://docs.seam.co/capability-guides/thermostats/creating-and-managing-climate-presets) as the ["fallback"](https://docs.seam.co/capability-guides/thermostats/creating-and-managing-climate-presets/setting-the-fallback-climate-preset) preset for a specified [thermostat](https://docs.seam.co/capability-guides/thermostats).



## OpenAPI

````yaml /openapi.json post /thermostats/set_fallback_climate_preset
openapi: 3.0.0
info:
  title: Seam Connect
  version: 1.0.0
servers:
  - url: https://connect.getseam.com
security: []
tags:
  - description: access_codes
    name: /access_codes
  - description: acs
    name: /acs
  - description: action_attempts
    name: /action_attempts
  - description: client_sessions
    name: /client_sessions
  - description: connected_accounts
    name: /connected_accounts
  - description: connect_webviews
    name: /connect_webviews
  - description: devices
    name: /devices
  - description: events
    name: /events
  - description: health
    name: /health
  - description: locks
    name: /locks
  - description: networks
    name: /networks
  - description: noise_sensors
    name: /noise_sensors
  - description: phones
    name: /phones
  - description: thermostats
    name: /thermostats
  - description: user_identities
    name: /user_identities
  - description: webhooks
    name: /webhooks
  - description: workspaces
    name: /workspaces
paths:
  /thermostats/set_fallback_climate_preset:
    post:
      tags:
        - /thermostats
      summary: Set the Fallback Climate Preset
      description: >-
        Sets a specified [climate
        preset](https://docs.seam.co/capability-guides/thermostats/creating-and-managing-climate-presets)
        as the
        ["fallback"](https://docs.seam.co/capability-guides/thermostats/creating-and-managing-climate-presets/setting-the-fallback-climate-preset)
        preset for a specified
        [thermostat](https://docs.seam.co/capability-guides/thermostats).
      operationId: thermostatsSetFallbackClimatePresetPost
      requestBody:
        content:
          application/json:
            schema:
              properties:
                climate_preset_key:
                  description: >-
                    Climate preset key of the climate preset that you want to
                    set as the fallback climate preset.
                  type: string
                device_id:
                  description: >-
                    ID of the thermostat device for which you want to set the
                    fallback climate preset.
                  format: uuid
                  type: string
              required:
                - device_id
                - climate_preset_key
              type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  ok:
                    type: boolean
                required:
                  - ok
                type: object
          description: OK
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
      security:
        - pat_with_workspace: []
        - console_session_with_workspace: []
        - api_key: []
      x-codeSamples:
        - lang: javascript
          label: Seam SDK
          source: |-
            await seam.thermostats.setFallbackClimatePreset({
              device_id: "9a21ddcb-8eeb-4351-8770-1835c3db8b2e",
              climate_preset_key: "Eco",
            });

            /*
            // void
            */
        - lang: bash
          label: cURL
          source: >-
            curl --include --request POST
            "https://connect.getseam.com/thermostats/set_fallback_climate_preset"
            \
              --header "Authorization: Bearer $SEAM_API_KEY" \
              --json @- <<EOF
            {
              "device_id": "9a21ddcb-8eeb-4351-8770-1835c3db8b2e",
              "climate_preset_key": "Eco"
            }

            EOF


            # Response:

            # {}
        - lang: python
          label: Seam SDK
          source: |-
            seam.thermostats.set_fallback_climate_preset(
                device_id="9a21ddcb-8eeb-4351-8770-1835c3db8b2e", climate_preset_key="Eco"
            )

            # None
        - lang: ruby
          label: Seam SDK
          source: |-
            seam.thermostats.set_fallback_climate_preset(
              device_id: "9a21ddcb-8eeb-4351-8770-1835c3db8b2e",
              climate_preset_key: "Eco",
            )

            # => nil
        - lang: php
          label: Seam SDK
          source: |-
            $seam->thermostats->set_fallback_climate_preset(
                device_id: "9a21ddcb-8eeb-4351-8770-1835c3db8b2e",
                climate_preset_key: "Eco",
            );
        - lang: bash
          label: Seam CLI
          source: >-
            seam thermostats set-fallback-climate-preset --device_id
            "9a21ddcb-8eeb-4351-8770-1835c3db8b2e" --climate_preset_key "Eco"


            # {}
components:
  securitySchemes:
    pat_with_workspace:
      bearerFormat: API Token
      scheme: bearer
      type: http
    console_session_with_workspace:
      bearerFormat: Console Session Token
      scheme: bearer
      type: http
    api_key:
      bearerFormat: API Key
      scheme: bearer
      type: http

````